import type { DBRecordTarget } from '../sdk';
import type { UserProvidedConfig } from '../sdk/types.js';
import type { PropertyType, PropertyValue, PropertyWithValue, SearchQuery, Schema } from '../types/index.js';
import { Transaction } from '../sdk/transaction.js';
export declare const buildTransactionHeader: (txId?: string) => {
    "x-transaction-id": string;
} | undefined;
export declare const isTransaction: (input: any) => input is Transaction | string;
export declare const pickTransaction: (input: any) => string | Transaction | undefined;
export declare const pickTransactionId: (input: any) => string | undefined;
export declare const pickRecordId: (input: DBRecordTarget) => string | undefined;
export declare const createSearchParams: <S extends Schema = Schema>(labelOrSearchParams?: SearchQuery<S> | string, searchParamsOrTransaction?: SearchQuery<S> | Transaction | string) => {
    id?: string;
    searchParams: SearchQuery<S>;
};
export declare const isUUID: (value: any) => boolean;
export declare const arrayIsConsistent: (arr: Array<unknown>) => boolean;
export declare const getValueParameters: (value: PropertyValue) => {
    isEmptyArray: boolean;
    isEmptyStringsArray: boolean;
    isInconsistentArray: boolean;
    isEmptyString?: undefined;
} | {
    isEmptyString: boolean;
    isEmptyArray?: undefined;
    isEmptyStringsArray?: undefined;
    isInconsistentArray?: undefined;
};
export declare const suggestPropertyType: (value: PropertyValue) => PropertyType;
export declare const prepareProperties: (data: Record<string, PropertyValue>, options?: {
    suggestTypes: boolean;
}) => PropertyWithValue[];
export declare const normalizeRecord: ({ label, options, payload }: {
    label: string;
    options?: {
        suggestTypes: boolean;
    };
    payload: Record<string, PropertyValue>;
}) => {
    label: string;
    properties: PropertyWithValue[];
};
export declare const buildUrl: (props: UserProvidedConfig) => string;
